module Ihome
  class Configuration
    attr_accessor :site, :authorize_url, :token_url, :client_id, :client_secret, :redirect_uri, :api_prefix

    def initialize(options)
      self.site = options[:site] || 'http://ihome.ihomeaudio.biz'
      self.authorize_url = options[:authorize_url] || '/api/oauth/authorize/'
      self.token_url = options[:token_url] || '/api/oauth/token'
      self.api_prefix = options[:api_prefix] || ''
      #no default values, you need to set it !
      self.client_id = options[:client_id]
      self.client_secret = options[:client_secret]
      self.redirect_uri = options[:redirect_uri]
    end
  end
end